
Ruby - Bug #5141

Feature # 5142 (Rejected): Remove ruby-mode.el from ruby's repo

Inconsistent indentation in method call with args on multiple lines.

08/02/2011 10:26 AM - budu (Nicolas Buduroi)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: HEAD Backport:  

Description

The indentation of method call with arguments spread on multiple lines is inconsistent.

belongs_to(:foo,

:class_name => 'Foo',

:foreign_key => 'foo_id')

has_many(:bar,

:class_name => 'Bar',

:foreign_key => :bar_id)

This was working correctly in earlier versions.

Related issues:

Related to Ruby - Feature #6823:  Where/how should ruby-mode issues be reported? Closed

History

#1 - 08/02/2011 03:29 PM - naruse (Yui NARUSE)

- Category set to misc

- Status changed from Open to Assigned

- Assignee set to nobu (Nobuyoshi Nakada)

- Parent task set to #5142

#2 - 12/03/2012 11:36 AM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

Use Emacs-bundled ruby-mode.el.
